/* bf.h */
#ifndef BF_H
#define BF_H

#define VERSION "20040828"
#define CELLS 9999

#define ARRAYSTACK
/* use array stack because it's faster */

#define Debug(X)	if (opt.debug) fputs("DEBUG: "#X"\n", stderr);

/* options */
typedef struct {
	char *filename;
	int cells;			/* -c */
	unsigned short inputmode;	/* -, */
	unsigned debug : 1;		/* -d */
	unsigned showinput : 1;		/* -i */
	unsigned wraparound : 1;	/* -w */
	unsigned null : 1;		/* -n */
} Opt;
Opt opt; /* bf options */

#endif
